<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.port.mapper.WarnAreaInfoMapper">

    <resultMap type="com.ltgk.port.domain.entity.WarnAreaInfo" id="WarnAreaInfoMap">
        <result property="id" column="id"/>
        <result property="warnAreaCode" column="warn_area_code"/>
        <result property="warnAreaName" column="warn_area_name"/>
        <result property="warnAreaTypeId" column="warn_area_type_id"/>
        <result property="warnAreaTypeName" column="warn_area_type_name"/>
        <result property="userRange" column="user_range"/>
        <result property="isBindTime" column="is_bind_time"/>
        <result property="effectiveDate" column="effective_date"/>
        <result property="type" column="type"/>
        <result property="points" column="points"/>
        <result property="fillColor" column="fill_color"/>
        <result property="diaphaneity" column="diaphaneity"/>
        <result property="lineColor" column="line_color"/>
        <result property="lineWidth" column="line_width"/>
        <result property="status" column="status"/>
        <result property="beSendAlertMessage" column="be_send_alert_message"/>
        <result property="alertMessage" column="alert_message"/>
        <result property="beSendWarnMessage" column="be_send_warn_message"/>
        <result property="warnMessage" column="warn_message"/>
        <result property="stayTime" column="stay_time"/>
        <result property="areaType" column="area_type"/>
        <result property="beTimingEdit" column="be_timing_edit"/>
        <result property="delFlag" column="del_flag"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
        <result property="beShow" column="be_show"/>
    </resultMap>
    <select id="getWarnAreaInfo" resultMap="WarnAreaInfoMap">
        select id,
               warn_area_code,
               warn_area_name,
               warn_area_type_id,
               warn_area_type_name,
               user_range,
               is_bind_time,
               effective_date,
               type,
               points,
               fill_color,
               diaphaneity,
               line_color,
               line_width,
               status,
               be_send_alert_message,
               alert_message,
               be_send_warn_message,
               warn_message,
               stay_time,
               area_type,
               be_timing_edit,
               del_flag,
               area_code,
               area_name,
               create_by,
               create_at,
               update_by,
               update_at,
               remark
        from warn_area_info
        where area_type = #{type}
          and del_flag = 1;
    </select>
</mapper>

